@import url('https://fonts.googleapis.com/icon?family=Material+Icons');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');

.material-symbols-outlined {
  font-size: 20px;
}

* {
    margin: 0;
    padding: 0;
    font-family: "Roboto", sans-serif;
}

/*Tijela*/

body {
    background-color: rgb(255, 255, 255); 
}

/*Navigacija*/

nav {
    min-height: 10vh;
    clear: both;
    display: flex;
    justify-content: space-between;
    font-size: 16pt;
}

.nav_a {
    margin-top: 3.5vh;
    color: black;
    margin-right: 0.7em;
    margin-bottom: 0.5em;
    text-decoration-color: transparent;
    transition: 0.5s;
    
}

nav a:hover {
  text-decoration: underline;
  text-decoration-color: black;
}

nav img {
    margin-top: 0.5%;
    margin-left: 0.5%;
}

.navigacija {
    width: 100vw;
    display: flex;
    justify-content: end;
    flex-wrap: wrap;
    font-size: 1.5em;
    padding: 0;
}

.logo {
    height: 94px;
  padding-top: 17.6%;
  margin-left: 31%;
}

/*Navigacija hamburger*/

.meni {
    margin: 0 30px 0 0;
}

label {
    margin: 0 30px 0 0;
    font-size: 26px;
    width: 26px;
    line-height: 70px;
    float: right;
    display: none;
    align-self: flex-end;
}

#prekidac {
     display: none; 
}

/*O meni/Naslovna*/

.naslovna_h1 {
    padding-top: 25%;
    padding-left: 5%;
    line-height: 1.25;
    font-weight: normal;
}

.article_N {
    min-height: 90vh;
    width: 50vw;
    font-size: 5.13em;
    font-family: sans-serif;
}

/*Klase*/

.lijevo {
    float: left;
}

.desno {
    float: right;
}

.mreza {
    display: grid;
    grid-template-columns: repeat(7, minmax(100px, 1fr));
    grid-template-rows: repeat(7, minmax(100px, 1fr));
}

.mreza_sadrzaj {
    display: grid;
    grid-template-columns: repeat(3, minmax(100px, 1fr));
    gap: 5%;
}

.kod_background {
    opacity: 100%;
    grid-column: 2/7;
    grid-row: 1/8;
    border-radius: 100px;
    animation-name: kod;
    animation-duration: 2s;
    object-fit: cover;
    width: 95%;
    height: 100%;
    padding: 2%;
    
}

@keyframes kod {
    from {opacity: 0%;}
    to {opacity: 100%;}
}

.strijelac {
    grid-column: 2/4;
    grid-row: 2/7;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 30px;
    border: 2px black dashed;
    padding: 2%;
}

.o_meniP {
    grid-column: 5/7;
    grid-row: 2/8;
    padding: 4%;
}

.o_meniP, p {
    font-size: 20pt;
}

.h2 {
    font-size: 30pt;
}

.hidden {
    display: none;
}

.hidden_logo {
    display: none;
}

/*Oznake*/

a {
    color: black;
}

/*Stranice*/

#o_meni {
    height: fit-content;
    display: grid;
    
}

#desc {
    height: 100vh;
    width: auto;
    display: grid;
    height: fit-content;
}

#prva {
    height: 100vh;
    width: 90%;
    margin: auto;
    display: grid;
}

#prva a {
    background-color: #ccc;
    border: 5px #ccc solid;
    border-radius: 20px;
    height: 70%;
    align-self: center;
    color: black;
    text-decoration: none;
    transition: 1s;
}

#prva a:hover {
    border: 5px black solid;
}

#prva a div p {
    text-align: center;
    margin-top: 25%;
    opacity: 130%;
    background-color: #ccc;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    padding: 2%;
    border-radius: 20px;
}

#druga {
    height: 100vh;
    width: 90%;
    margin: auto;
    display: grid;
}

#druga a {
    background-color: #ccc;
    border: 5px #ccc solid;
    border-radius: 20px;
    height: 70%;
    align-self: center;
    color: black;
    text-decoration: none;
    transition: 1s;
}

#druga a:hover {
    border: 5px black solid;
}

#druga a div p {
    text-align: center;
    margin-top: 25%;
    opacity: 130%;
    background-color: #ccc;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    padding: 2%;
    border-radius: 20px;
}

#treca {
    height: 100vh;
    width: 90%;
    margin: auto;
    display: grid;
}

#treca a {
    background-color: #ccc;
    border: 5px #ccc solid;
    border-radius: 20px;
    height: 70%;
    align-self: center;
    color: black;
    text-decoration: none;
    transition: 1s;
}

#treca a:hover {
    border: 5px black solid;
}

#treca a div p {
    text-align: center;
    margin-top: 25%;
    opacity: 130%;
    background-color: #ccc;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    padding: 2%;
    border-radius: 20px;
}

aside {
    text-align: center;
    height: 5vh;
    font-size: 20pt;
    text-decoration: underline;
    text-decoration-thickness: 3px;
}

footer {
    text-align: center;
    height: 5vh;
}

/*Radovi*/

/*Prva*/

#FTP {
    background-image: url(slike/FTP.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#izumitelji {
    background-image: url(slike/Sternbach.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#adrese {
    background-image: url(slike/gull.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#pingvini {
    background-image: url(slike/makaronski_pingvin.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#prohujalo {
    background-image: url(slike/prohujalosvihorom1.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#macke {
    background-image: url(slike/macka_neo.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

/*Druga*/

#bicikl {
    background-image: url(slike/bicikl.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#macke_responzivnost {
    background-image: url(slike/oscar.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#marendarij {
    background-image: url(slike/hrana.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#recikliranje {
    background-image: url(slike/recikliraj1.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#responzivnost {
    background-image: url(slike/responzivnost.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#ikone {
    background-image: url(slike/fotoaparat.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

/*Treca*/

#kvarner {
    background-image: url(slike/krkcres.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#osnove {
    background-image: url(slike/osnove.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#pozicije {
    background-image: url(slike/zima2.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

#thrive {
    background-image: url(slike/logo.png);
    background-size: cover;
    background-repeat: no-repeat;
}

#original {
    background-image: url(slike/strijelac.jpg);
    background-size: cover;
    background-repeat: no-repeat;
}

@media (max-width: 1000px) {
    #prva a div p, #druga a div p, #treca a div p {
        width: 80%;
        height: fit-content;
        margin-bottom: 50%;
    }
    #prvaN, #drugaN, #trecaN, footer {
        margin-top: 30%;
    }
    #prva, #druga, #treca {
        height: fit-content;
    }
    #desc {
        height: fit-content;
    }
    .kod_background {
        grid-column: 1/8;
        grid-row: 1/8;
    }
    .strijelac {
        grid-column: 1/8;
        grid-row: 1/5;
        width: 95%;
        height: 100%;
        border-radius: 30px;
        border: 0px black dashed;
        padding: 2%;
        margin-top: 5%;
    }
    .o_meniP {
        grid-column: 1/8;
        grid-row: 5/8;
        margin-top: 10%;
    }
    .mreza_sadrzaj {
        display: grid;
        grid-template-columns: repeat(2, minmax(100px, 1fr));
        gap: 5%;
    }
    #prva a div p {
        margin-top: 18%;
    }
}

@media (max-width: 700px) {
    #prva a div p, #druga a div p, #treca a div p {
        width: 80%;
        height: fit-content;
        margin-bottom: 50%;
    }
    .logo {
        display: none;
    }
    #o_meni {
        height: fit-content;
        display: block;
    }
    .kod_background {
        display: none;
    }
    .hidden {
        display: block;
        font-size: 30pt;
        text-align: center;
    }
    .mreza {
        display: block;
    }
    #desc {
        display: block;
    }
    nav {
        flex-direction: column;
        background-image: url(slike/logo_LM.png);
        background-size: 50px;
        background-repeat: no-repeat;
        background-position-x: 2%;
        background-position-y: 8px;
    }
    .navigacija {
        font-size: 1em;
    }
    .material-icons {
        display: none;
    }
    .ON_p {
        font-size: 1.7em;
        text-align: center;
    }
    #strON {
        height: fit-content;
    }
    .flex_row {
        flex-wrap: wrap;
    }
    br {
        display: block;
    }
    label {
        display: block;
        cursor: pointer;
    }
    .meni {
        text-align: center;
        width: 100%;
        display: none;
    }
    .meni a {
        display: block;
        border-bottom: 1px solid #ccc;
        margin: 0;
        padding: 5%;
    }
    #prekidac:checked+.meni {
        display: block;
    }
    .o_meniP {
        grid-column: 1/8;
        grid-row: 6/8;
    }
    .mreza_sadrzaj {
        display: block;
    }
}